summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorFranc[e]sco2018-09-10 17:17:47 +0200
committerFranc[e]sco2018-09-10 17:17:47 +0200
commit53a7968a7a49aa4682ea12d6b3ffadb3c389c371 (patch)
treeff37ca56d609788a5ab4a1c659b76f2f1321d3e2 /PKGBUILD
downloadaur-shmupmametgm-git.tar.gz
first commit
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD28
1 files changed, 28 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..c1242ec7b6e
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,28 @@
+# Maintainer: Franc[e]sco <lolisamurai@tfwno.gf>
+
+pkgname=shmupmametgm-git
+pkgver=r79.5ac496e
+pkgrel=1
+pkgdesc="Customized MAME for the TGM series. Forked for extra output options and tooling."
+arch=('x86_64')
+url="https://github.com/MaryHal/shmupmametgm"
+depends=('sdl' 'gconf')
+makedepends=('git')
+license=('GPL')
+source=("git+https://github.com/MaryHal/shmupmametgm.git")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd "$srcdir/shmupmametgm"
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+}
+
+build() {
+ cd "$srcdir/shmupmametgm"
+ make SUBTARGET=tgm NOWERROR=1 || return 1
+}
+
+package() {
+ install -Dm755 "$srcdir/shmupmametgm/mametgm64" -t "$pkgdir/usr/bin/"
+}
+